Announcement: Upgrade to macOS Mojave

With features like Dark Mode, Stacks, and four new built-in apps, macOS Mojave helps you get more out of every click. 
Find out how to upgrade to macOS Mojave > https://support.apple.com/macos/mojave

Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: Unable to install Sierra

I am trying to do a clean install of Sierra to a newly purchased SSD.

Since the Sierra installer is no longer available in the App Store, I'm using an installer I saved back in November 2016 (version 12.0.57).

The installer stays stuck at "About 7 minutes remaining". I found this in the logs:

(com.apple.install.osishelperd[31435]): Binary is improperly signed.

Dec 10 09:41:20 eric osinstallersetupd[31427]: objc[31427]: Class OSISProductManager is implemented in both /Applications/Install macOS Sierra.app/Contents/Frameworks/OSInstallerSetup.framework/Versions/A/Frameworks/OSInstallerSetupInternal.framework/Versions/A/OSInstallerSetupInternal (0x1066f0390) and /Applications/Install macOS Sierra.app/Contents/Frameworks/OSInstallerSetup.framework/Versions/A/Frameworks/OSInstallerSetupInternal.framework/Versions/A/PlugIns/OSInstallerCompatibility.bundle/Contents/MacOS/OSInstallerCompatibility (0x1067c80e8). One of the two will be used. Which one is undefined. Dec 10 09:41:20 eric osinstallersetupd[31427]: objc[31427]: Class IA_PKDownloader is implemented in both /Applications/Install macOS Sierra.app/Contents/Frameworks/OSInstallerSetup.framework/Versions/A/Frameworks/OSInstallerSetupInternal.framework/Versions/A/OSInstallerSetupInternal (0x1066f0ae8) and /Applications/Install macOS Sierra.app/Contents/Frameworks/OSInstallerSetup.framework/Versions/A/Frameworks/OSInstallerSetupInternal.framework/Versions/A/PlugIns/OSInstallerCompatibility.bundle/Contents/MacOS/OSInstallerCompatibility (0x1067c8160). One of the two will be used. Which one is undefined. Dec 10 09:41:20 eric osinstallersetupd[31427]: objc[31427]: Class IA_PKDownloaderSpeedTracker is implemented in both /Applications/Install macOS Sierra.app/Contents/Frameworks/OSInstallerSetup.framework/Versions/A/Frameworks/OSInstallerSetupInternal.framework/Versions/A/OSInstallerSetupInternal (0x1066f0b10) and /Applications/Install macOS Sierra.app/Contents/Frameworks/OSInstallerSetup.framework/Versions/A/Frameworks/OSInstallerSetupInternal.framework/Versions/A/PlugIns/OSInstallerCompatibility.bundle/Contents/MacOS/OSInstallerCompatibility (0x1067c8188). One of the two will be used. Which one is undefined. Dec 10 09:41:38 eric com.apple.xpc.launchd[1] (com.apple.imfoundation.IMRemoteURLConnectionAgent): Unknown key for integer: _DirtyJetsamMemoryLimit Dec 10 09:41:39 eric com.apple.xpc.launchd[1] (com.apple.install.osishelperd[31435]): Binary is improperly signed. Dec 10 09:41:39 eric com.apple.xpc.launchd[1] (com.apple.install.osishelperd[31435]): removing service since it exited with consistent failure reason When validating /Applications/Install macOS Sierra.app/Contents/Frameworks/OSInstallerSetup.framework/Versions/A/Resources/osishelperd: The platform identifier value 2 is not the minimum expected value 3 for this type of binary and OS release. Dec 10 09:41:39 eric com.apple.xpc.launchd[1] (com.apple.ReportCrash.Root[31436]): Endpoint has been activated through legacy launch(3) APIs. Please switch to XPC or bootstrap_check_in(): com.apple.ReportCrash.DirectoryService

The "improperly signed" message concerns me. Is it possible that Apple is preventing us from installing an older OS, even if we saved the installer?

I could clone the drive, but really would prefer a clean install instead of bringing along years of junk. And no, I'm not ready to switch to High Sierra.

MacBook Pro, macOS Sierra (10.12.1), null

Posted on

Reply
Question marked as Solved
Answer:
Answer:

There will be old installers that do not work as the signing certificate on them will expire.

You can still download the current Sierra installer: How to download macOS Sierra - Apple Support

Posted on

User profile for user: EricDu

Question: Unable to install Sierra